Bug 1576627 - yaml-nic-config-2-script.py requires interactive user input and doesn't provide a way to bypass it
Summary: yaml-nic-config-2-script.py requires interactive user input and doesn't provi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: z2
: 13.0 (Queens)
Assignee: Marius Cornea
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 01:16 UTC by Marius Cornea
Modified: 2018-12-24 11:40 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.4-3.el7ost
Doc Type: Bug Fix
Doc Text:
yaml-nic-config-2-script.py required interactive user input. The script could not be called in a non-interactive manner for automation purposes. A --yes option has been added. yaml-nic-config-2-script.py can now be called with --yes option and the user is not asked for interactive input.
Clone Of:
Environment:
Last Closed: 2018-08-29 16:36:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1770296 0 None None None 2018-05-10 01:53:54 UTC
OpenStack gerrit 567456 0 None MERGED Add option to override confirmation in yaml-nic-config-2-script.py 2020-12-04 18:31:27 UTC
OpenStack gerrit 579164 0 None MERGED Add option to override confirmation in yaml-nic-config-2-script.py 2020-12-04 18:31:28 UTC
Red Hat Product Errata RHBA-2018:2574 0 None None None 2018-08-29 16:37:23 UTC

Description Marius Cornea 2018-05-10 01:16:24 UTC
Description of problem:

yaml-nic-config-2-script.py[1] requires interactive user input and doesn't provide a way to bypass it. For automated tests that run this script we require the ability(--yes option) to bypass the user input. yes or echo 'y' pipe is not always reliable.

[1 http://git.openstack.org/cgit/openstack/tripleo-heat-templates/tree/tools/yaml-nic-config-2-script.py

Comment 13 Joanne O'Flynn 2018-08-15 07:56:55 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 14 Alexander Chuzhoy 2018-08-15 17:41:09 UTC
Verified:

Environment:
openstack-tripleo-heat-templates-8.0.4-16.el7ost.noarch


(overcloud) [stack@undercloud-0 ~]$  /usr/share/openstack-tripleo-heat-templates/tools/yaml-nic-config-2-script.py virt/network/three-nics-vlans/legacy/compute.yaml
Using script at /usr/share/openstack-tripleo-heat-templates/network/scripts/run-os-net-config.sh
The yaml file will be overwritten and the original saved as /home/stack/virt/network/three-nics-vlans/legacy/compute.yaml.20180815134047
Overwrite virt/network/three-nics-vlans/legacy/compute.yaml? [y/n] 
Skipping file virt/network/three-nics-vlans/legacy/compute.yaml


(overcloud) [stack@undercloud-0 ~]$  /usr/share/openstack-tripleo-heat-templates/tools/yaml-nic-config-2-script.py virt/network/three-nics-vlans/legacy/compute.yaml --yes
Using script at /usr/share/openstack-tripleo-heat-templates/network/scripts/run-os-net-config.sh
The yaml file will be overwritten and the original saved as /home/stack/virt/network/three-nics-vlans/legacy/compute.yaml.20180815134051
Converting virt/network/three-nics-vlans/legacy/compute.yaml

Comment 16 errata-xmlrpc 2018-08-29 16:36:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2574


Note You need to log in before you can comment on or make changes to this bug.